"use strict";
/*
    This file is part of the Pale Moon Locale Switcher extension.
    
    Copyright (C) 2014,2015 Jeremy Morton
    Copyright (C) 2016 Mark Straver BASc

    The Pale Moon Locale Switcher extension is free software: you can
    redistribute it and/or modify it under the terms of the GNU General
    Public License as published by the Free Software Foundation, either
    version 3 of the License, or (at your option) any later version.

    The Pale Moon Locale Switcher extension is distributed in the hope that
    it will be useful, but WITHOUT ANY WARRANTY; without even the implied
    warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program. If not, see <http://www.gnu.org/licenses/>.
*/
// Javascript Code Module - Extension-specific info provider
// Provides extension-specific information.

var EXPORTED_SYMBOLS = ["extInfo"];

var extInfo = (function(my, moduleGlobalScope) {
	
	// Private members (please don't use them directly from calling code)
	// ==================================================================
	
	// *** EXTENSION-SPECIFIC START ***
	// Concise display name which will be used in various places where we output things
	my._conciseDisplayName = "Locale Switcher";
	// Extension ID
	my._extID = "pm-localeswitch@palemoon.org";
	// *** EXTENSION-SPECIFIC END ***
	
	
	
	// Public members
	// ==============
	
	// Gets the ID of this extension
	// 
	// returns: The ID of this extension.
	my.GetExtId = function() {
		return this._extID;
	};
	
	// Gets the concise display name of this extension
	// 
	// returns: The concise display name of this extension.
	my.GetConciseDisplayName = function() {
		return this._conciseDisplayName;
	};
	
	// *** Finally ***
	// Return |my| - everything we've assigned to it will be exported to the public var we're defining.
	return my;
	
}((extInfo || {}), this));
